package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiTag;
import org.apache.ibatis.annotations.Param;

/**
 * ai-标签管理Mapper接口
 *
 * @author shi
 * @date 2025-11-24
 */
public interface AiTagMapper extends BaseMapper<AiTag> {
    int deleteAiTagByIds(Long[] ids);

    int deleteAiTagById(Long id);

    List<AiTag> selectAiTagList(AiTag aiTag);

    AiTag selectAiTagById(Long id);

    List<AiTag> selectUserAiTagList(AiTag aiTag);

    List<AiTag> selectAiTagListByIds(@Param("tags") String[] tags, @Param("parentTags") String[] parentTags);
}
